Source: libhibernate-validator-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Torsten Werner <twerner@debian.org>,
 Varun Hiremath <varun@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 groovy,
 libclassmate-java,
 libeasymock-java,
 libgeronimo-validation-1.1-spec-java,
 libhibernate3-java,
 libjavassist-java,
 libjaxb-java,
 libjboss-logging-java,
 libjboss-logging-tools-java,
 libjoda-time-java,
 libjsoup-java (>= 1.15.1),
 libjtype-java,
 liblog4j1.2-java,
 libmaven-bundle-plugin-java,
 libmaven-jaxb2-plugin-java,
 libmaven-processor-plugin-java,
 libmaven-reporting-impl-java,
 libmaven-shade-plugin-java,
 libopenjfx-java,
 libparanamer-java,
 maven-debian-helper,
 testng (>= 6.8.7)
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/java-team/libhibernate-validator-java.git
Vcs-Browser: https://salsa.debian.org/java-team/libhibernate-validator-java
Homepage: http://validator.hibernate.org

Package: libhibernate-validator-java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}
Suggests: ${maven:OptionalDepends}
Description: Hibernate Validator
 Hibernate Validator aims at defining and checking a domain model
 level constraints. It supports custom constraints definitions as well
 as full internationalization. Annotations are used to define
 constraints on object level. The validation mechanism can be executed
 in different layers in your application without having to duplicate
 any of these rules (presentation layer, data access layer, Database
 schema).
 .
 Hibernate Validator integrates with Hibernate by applying the
 constraints on the database schema (DDL generation) and by checking
 entity validity before Hibernate inserts or updates instances. You
 can use Hibernate Validator with any Java Persistence provider, not
 only Hibernate, although you will not be able to use automatic DDL
 alteration for constraint generation outside of Hibernate
 EntityManager.
